KDE 4.7 PyKDE API Reference

- KDE's Python API

# KDateTimeWidget Class Reference

`from PyKDE4.kdeui import *`

Inherits: QWidget → QObject

## Detailed Description

A combination of a date and a time selection widget.

This widget can be used to display or allow user selection of date and time.

See also:
  KDateWidget

"KDE Date Time Widget"

Author:
  Hans Petter Bieker <bieker@kde.org>

## Signals
| valueChanged (QDateTime datetime)
## Methods
| __init__ (self, QWidget parent=0)
| __init__ (self, QDateTime datetime, QWidget parent=0)
QDateTime | dateTime (self)
| setDateTime (self, QDateTime datetime)

## Signal Documentation

valueChanged | ( | QDateTime | datetime
| ) |  |  |

Emitted whenever the date or time of the widget is changed, either with setDateTime() or via user selection.

Signal syntax:
  `QObject.connect(source, SIGNAL("valueChanged(const QDateTime&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructs a date and time selection widget.

__init__ | ( | self, |
|  | QDateTime | datetime,
|  | QWidget | parent=0
| ) |  |  |

Constructs a date and time selection widget with the initial date and time set to datetime.

QDateTime dateTime | ( |  | self ) |

Returns the currently selected date and time.

setDateTime | ( | self, |
|  | QDateTime | datetime
| ) |  |  |

Changes the selected date and time to datetime.